Skip to content
Browse files

Merge pull request #122 from dnrce/rails5beta

Add Rails 5.0 beta support
  • Loading branch information...
2 parents 2618442 + fcdb0b2 commit 8b7f8a4408e2c0abe4c273c478c2fe9f4b0d5a5a @thomasdarde thomasdarde committed Jan 25, 2016
Showing with 9 additions and 2 deletions.
  1. +5 −0 .travis.yml
  2. +2 −0 CHANGELOG.md
  3. +1 −1 README.md
  4. +1 −1 tolk.gemspec
View
5 .travis.yml
@@ -18,3 +18,8 @@ env:
- RAILS_VERSION="~> 4.0.0"
- RAILS_VERSION="~> 4.1.0"
- RAILS_VERSION="~> 4.2.0"
+
+matrix:
+ include:
+ - rvm: 2.2.4
+ env: RAILS_VERSION="~> 5.0.0.beta"
View
2 CHANGELOG.md
@@ -1,3 +1,5 @@
+ * Rails 5.0 beta support
+
* Tolk 1.9.3
* Fix for a wrong order of requires (@wpp)
View
2 README.md
@@ -5,7 +5,7 @@ Tolk is a Rails engine designed to facilitate the translators doing the dirty wo
## Requirements
-Tolk is compatible with Rails 4.0, 4.1, and 4.2.
+Tolk is compatible with Rails 4.0, 4.1, 4.2, and 5.0.beta.
## Installation & Setup
View
2 tolk.gemspec
@@ -19,7 +19,7 @@ Gem::Specification.new do |s|
s.required_ruby_version = '>= 1.9.3'
- s.add_runtime_dependency 'rails', '>= 4.0', '< 4.3'
+ s.add_runtime_dependency 'rails', '>= 4.0', '< 5.1'
s.add_runtime_dependency 'safe_yaml', ">= 0.8.6"
s.add_development_dependency 'capybara', '~> 2.4.4'

0 comments on commit 8b7f8a4

Please sign in to comment.
Something went wrong with that request. Please try again.